Solid Edge Framework Type Library
CheckInDocumentsToTeamCenterServer Method
The variant array which contains the file list to be Checked in/ Upload.
TRUE - In case where it is required to only upload the given file to the Teamcenter database but don’t want to check it in. FALSE – In case where it is required to both upload as well as check in.
Description
CheckIn the Documents to the Server
Syntax
Visual Basic
Public Sub CheckInDocumentsToTeamCenterServer( _
   ByRef ppsaFileList() As Variant, _
   ByVal bOnlyUpload As Boolean _
) 
Parameters
ppsaFileList
The variant array which contains the file list to be Checked in/ Upload.
bOnlyUpload
TRUE - In case where it is required to only upload the given file to the Teamcenter database but don’t want to check it in. FALSE – In case where it is required to both upload as well as check in.
Remarks
For checking in the documents checked out by the user from the TeamCenter server. User can pass multiple files to be Checkin/Upload at a single time. The API also honors the 'DisplayAlerts' flag. If the flag is TRUE then Upload dialog will be shown while uploading and if the flag is FALSE then the dialog will not show. The case in which if the display_alerts flag is off and the CPD dialog is suppressed, then it is the responsibility of the caller to put the item id/item rev correctly into the file storage. You can use the API AssignItemID to assign the item id/item rev. If the document which is going to be uploaded is without item-id in the document number field then the value of the hr will be returned as E_INVALIDARG.
Example
Option Explicit

Sub Example()
    Dim objApplication As SolidEdgeFramework.Application
    Dim objTCE As SolidEdgeFramework.SolidEdgeTCE
    Dim varInputList(1) As Variant
    Dim bOnlyUpload As Boolean
    
    Set objApplication = GetObject(, "SolidEdge.Application")
    Set objTCE = objApplication.SolidEdgeTCE

    varInputList(0) = "F:\010088.par"
    varInputList(1) = "F:\010087.par"

    bOnlyUpload = False
    Call objTCE.CheckInDocumentsToTeamCenterServer(varInputList, bOnlyUpload)
    
    If Not objApplication Is Nothing Then
        Call objApplication.Quit
    End If
    
    Set objTCE = Nothing
    Set objApplication = Nothing
End Sub
See Also

SolidEdgeTCE Object  | SolidEdgeTCE Members  | Solid Edge V19 - What's New